GET /channels

This is a public query for FIRST News Channels. It lists the available channels, copyright information and HTML and RSS endpoints.

No additional credentials are required to access this information.

| Repository | Endpoint URL | Credentials | | ------------------------- | ------------------------------------- | ------------------------ | | FIRST API v1 | https://api.first.org/data/v1/channels | Public |

Additional Parameters

These parameters may also be added to the query string to filter the results:

| Parameter | Type | Description | | ---------- | ------ | ------------- | | channel | string | Title of the news channel. | | link | string | News Channel URL. Items published at FIRST website do not contain the domain name. | | rsslink | string | News Channel RSS 2.0 URL. Items published at FIRST website do not contain the domain name. | | q | string | Free text search at the news channel title, summary and URLs. |

Scope

There are no additional scopes listed for this query.

Response

The response contains a list of news channels:

curl -X GET "https://app-portal-api.tecnodz.com/data/v1/channels?q=newsletters&pretty=true"
{
    "status": "OK",
    "status-code": 200,
    "version": "1.0",
    "access": "public",
    "total": 1,
    "offset": 0,
    "limit": 100,
    "data": [
        {
            "id": 25,
            "title": "Newsletters",
            "link": "https://www.first.org/newsroom/newsletters",
            "rss": "https://www.first.org/newsroom/newsletters/rss.xml",
            "image": "https://www.first.org/_/img/1st.png",
            "summary": "FIRST POST Newsletters",
            "copyright": "© 1995-2019 by FIRST.org, Inc.",
            "last-modified": "Fri, 23 Aug 2024 17:09:55 GMT"
        }
    ]
}